Module ij
Package ij.gui

# Class RoiProperties

java.lang.Object
ij.gui.RoiProperties

All Implemented Interfaces:
  `TextListener`, `WindowListener`, `EventListener`

public class RoiProperties extends Object implements TextListener, WindowListener
Displays a dialog that allows the user to specify ROI properties such as color and line width.

## Constructor Summary

Constructors
Constructor
Description
`RoiProperties(String title, Roi roi)`
Constructs a ColorChooser using the specified title and initial color.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`showDialog()`
Displays the dialog box and returns 'false' if the user cancels it.
`boolean`
`showImageDialog(String name)`
`void`
`textValueChanged(TextEvent e)`
`void`
`windowActivated(WindowEvent e)`
`void`
`windowClosed(WindowEvent e)`
`void`
`windowClosing(WindowEvent e)`
`void`
`windowDeactivated(WindowEvent e)`
`void`
`windowDeiconified(WindowEvent e)`
`void`
`windowIconified(WindowEvent e)`
`void`
`windowOpened(WindowEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoiProperties

public RoiProperties(String title, Roi roi)
Constructs a ColorChooser using the specified title and initial color.

## Method Details

### showDialog

public boolean showDialog()
Displays the dialog box and returns 'false' if the user cancels it.

### showImageDialog

public boolean showImageDialog(String name)

### textValueChanged

public void textValueChanged(TextEvent e)

Specified by:
  `textValueChanged` in interface `TextListener`

### windowActivated

public void windowActivated(WindowEvent e)

Specified by:
  `windowActivated` in interface `WindowListener`

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent e)

Specified by:
  `windowOpened` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent e)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent e)

Specified by:
  `windowIconified` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent e)

Specified by:
  `windowDeiconified` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent e)

Specified by:
  `windowDeactivated` in interface `WindowListener`